package visitor;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import visitor._1_double_dispatch.example.ExampleSingleVisitorTest;
import visitor._2_multi_dispatch.example.ExampleABMultiVisitorTest;
import visitor._3_multi_dispatch.example.ExampleCDEMultiVisitorTest;

/**
 * JUnit4-Testsuite fr Multi-Visitor.
 * 
 * @author Heiner K&uuml;cker
 */
@RunWith( Suite.class )
@SuiteClasses( {
    ExampleSingleVisitorTest.class ,
    ExampleABMultiVisitorTest.class ,
    ExampleCDEMultiVisitorTest.class
} )
public class MultiVisitorTestSuite
{
    // empty block
}
