package visitor._3_multi_dispatch.to_visit;

import visitor._3_multi_dispatch.shared.CVisitable;
import visitor._3_multi_dispatch.shared.CVisitor;

/**
 * Zweite konkrete besuchbare Implementierungs-Klasse
 * des Interface {@link CVisitable}.
 * 
 * @author Heiner K&uuml;cker
 */
public final class C2
implements CVisitable
{
    /**
     * @see CVisitable#accept
     */
    @Override
    public void accept(
            final CVisitor visitor )
    {
        visitor.visitC2(
                this );
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return this.getClass().getSimpleName();
    }
}
