package visitor._3_multi_dispatch.to_visit;

import visitor._3_multi_dispatch.shared.DVisitable;
import visitor._3_multi_dispatch.shared.DVisitor;

/**
 * Erste konkrete besuchbare Implementierungs-Klasse
 * des Interface {@link DVisitable}.
 * 
 * @author Heiner K&uuml;cker
 */
public final class D1
implements DVisitable
{
    /**
     * @see DVisitable#accept
     */
    @Override
    public void accept(
            final DVisitor visitor )
    {
        visitor.visitD1(
                this );
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return this.getClass().getSimpleName();
    }
}
