package visitor._1_double_dispatch.to_visit;

import visitor._1_double_dispatch.shared.SingleVisitable;
import visitor._1_double_dispatch.shared.SingleVisitor;

/**
 * Erste besuchbare Klasse.
 * 
 * @author Heiner K&uuml;cker
 */
public final class S1
implements SingleVisitable
{
    /**
     * @see SingleVisitable#accept
     */
    @Override
    public void accept(
            final SingleVisitor visitor )
    {
        visitor.visitS1( this );
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return this.getClass().getSimpleName();
    }
}
