package visitor._2_multi_dispatch.to_visit;

import visitor._2_multi_dispatch.shared.AVisitable;
import visitor._2_multi_dispatch.shared.AVisitor;

/**
 * Erste konkrete besuchbare Klasse
 * des Interface {@link AVisitable}.
 * 
 * @author Heiner K&uuml;cker
 */
public final class A1
implements AVisitable
{
    /**
     * @see AVisitable#accept
     */
    @Override
    public void accept(
            final AVisitor visitor )
    {
        visitor.visitA1(
                this );
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return this.getClass().getSimpleName();
    }
}
