package visitor._2_multi_dispatch.to_visit;

import visitor._2_multi_dispatch.shared.BVisitable;
import visitor._2_multi_dispatch.shared.BVisitor;

/**
 * Erste konkrete besuchbare Klasse
 * des Interface {@link BVisitable}.
 * 
 * @author Heiner K&uuml;cker
 */
public final class B1
implements BVisitable
{
    /**
     * @see BVisitable#accept
     */
    @Override
    public void accept(
            final BVisitor visitor )
    {
        visitor.visitB1( this );
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return this.getClass().getSimpleName();
    }
}
